Package org.bukkit.event.inventory

# Class FurnaceExtractEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockExpEvent
org.bukkit.event.inventory.FurnaceExtractEvent

public class FurnaceExtractEvent extends BlockExpEvent
This event is called when a player takes items out of the furnace

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`FurnaceExtractEvent(@NotNull Player player, @NotNull Block block, @NotNull Material itemType, int itemAmount, int exp)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getItemAmount()`
Get the item count being retrieved
`@NotNull Material`
`getItemType()`
Get the Material of the item being retrieved
`@NotNull Player`
`getPlayer()`
Get the player that triggered the event

### Methods inherited from class org.bukkit.event.block.BlockExpEvent

`getExpToDrop, getHandlerList, getHandlers, setExpToDrop`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FurnaceExtractEvent

public FurnaceExtractEvent(@NotNull @NotNull Player player, @NotNull @NotNull Block block, @NotNull @NotNull Material itemType, int itemAmount, int exp)

## Method Details

### getPlayer

@NotNull public @NotNull Player getPlayer()
Get the player that triggered the event

Returns:
  the relevant player

### getItemType

@NotNull public @NotNull Material getItemType()
Get the Material of the item being retrieved

Returns:
  the material of the item

### getItemAmount

public int getItemAmount()
Get the item count being retrieved

Returns:
  the amount of the item